Как добавить библиотеку Python в конкретную сборку Blender? - proUbuntu
Купить гитару в Москве
1 голос
/

Итак, у меня есть билд Blender из PPA:

https://launchpad.net/~thomas-schiex/+archive/ubuntu/blender

Все отлично работает, кроме одной проблемы. Я пытаюсь использовать аддон под названием «Узлы анимации», но я пытаюсь включить его, это вызывает эту ошибку:

enter image description here

В PPA я нашел это:

Для работы NumPy с Python 3.6 в дистрибутивах на основе Python 3.5 (предварительно хитроумно), пожалуйста, установите numpy с pip.

Итак, я установил его, набрав pip install numpy в терминале. Теперь это выглядит так:

design@3dDesign:~$ pip install numpy
Requirement already satisfied: numpy in ./.local/lib/python2.7/site-packages

Но проблема все еще существует.

Blender использует версию 3.6: enter image description here

Может проблема в версиях? Или, может быть, мне нужно связать Python в blender с библиотекой numpy определенным образом?

Найден внешний аддон Shotpacker, также используется numpy и выдается эта ошибка:

enter image description here

Как добавить библиотеку NumPy?

1 Ответ

1 голос
/

/ path / to / blenderspython / python pip install numpy где / path / toblenderspython - это путь к вашей версии каталога блендеров python. который может быть /usr/share/blender/2.79/python/bin/ на основе вашего изображения ошибки отчета.

Затем попробуйте снова включить аддон под названием «Узлы анимации».

Источники:

этот комментарий от sambler

https://blender.stackexchange.com/questions/56011/how-to-use-pip-with-blenders-bundled-python

Добро пожаловать на сайт proUbuntu, где вы можете задавать вопросы и получать ответы от других членов сообщества.
...